AurionAI Docs

Get Embed Config

Return branding configuration for externally embedded widget.

POST
/api/v1/voice-widget/embed/config

Return branding configuration for externally embedded widget.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/voice-widget/embed/config" \  -H "Content-Type: application/json" \  -d '{    "public_key": "string",    "tenant_id": "string"  }'
{
  "accent_color": "string",
  "accent_theme": "blue",
  "display_title": "string",
  "launcher_bubble_message": "string",
  "launcher_label": "string",
  "launcher_position": "bottom-right",
  "logo_url": "string",
  "mode": "chat",
  "primary_color": "string",
  "quick_actions_enabled": true,
  "show_powered_by": true,
  "sso_auto_login": true,
  "tenant_slug": "string",
  "theme": "light",
  "welcome_text": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}